Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » eclipse will not compile(failure to complile no problems listed)
eclipse will not compile [message #986562] Tue, 20 November 2012 23:23 Go to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
Hello, everyone, I have been having an on-going problem with eclipse doing Android projects. I think I have the latest eclipse updates.

I get a program to run, I have even uploaded one to Google Store, I make a small change and then I get an error something to the effect that there are errors and the program cannot run. There is no indication of what the errors are, and there is nothing helpful in the problems window. I change everything back to what it was originally and it still won't run. The only solution I have found to work is to start from scratch with a new package, copy the code from each file bit by bit (hi hi), make sure the program runs at every step of the way, and then hope and pray that it will keep running when I make some changes.

This is very frustrating, have any of you encountered this?

Cheers,

Jacques

Re: eclipse will not compile [message #986572 is a reply to message #986562] Wed, 21 November 2012 01:10 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3265
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 11/20/2012 5:51 PM, Jacques Chaurette wrote:
> Hello, everyone, I have been having an on-going problem with eclipse
> doing Android projects. I think I have the latest eclipse updates.
>
> I get a program to run, I have even uploaded one to Google Store, I make
> a small change and then I get an error something to the effect that
> there are errors and the program cannot run. There is no indication of
> what the errors are, and there is nothing helpful in the problems
> window. I change everything back to what it was originally and it still
> won't run. The only solution I have found to work is to start from
> scratch with a new package, copy the code from each file bit by bit (hi
> hi), make sure the program runs at every step of the way, and then hope
> and pray that it will keep running when I make some changes.
>
> This is very frustrating, have any of you encountered this?
>
> Cheers,
>
> Jacques

Salut!

This isn't an Android programming support forum (Android tools are
developed atop Eclipse, but not by Eclipse). However, if you showed an
image of what you're seeing we could tell more quickly whether to send
to an Android forum or find an answer here. I've done some Android
programming and based on what you've said, I can't imagine where to start.
Re: eclipse will not compile [message #986591 is a reply to message #986572] Wed, 21 November 2012 06:23 Go to previous messageGo to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
OK, that's a start, here's a screenshot of what happens. I could send the code if someone wanted to look at it, but not sure how I would send it since it is distributed over many folders.

Thanks.

Jacques
Re: eclipse will not compile [message #986593 is a reply to message #986591] Wed, 21 November 2012 06:46 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3265
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 11/20/2012 11:23 PM, Jacques Chaurette wrote:
> OK, that's a start, here's a screenshot of what happens. I could send the code if someone wanted to look at it, but not sure how I would send it since it is distributed over many folders.
>
> Thanks.
>
> Jacques
>

Okay. At the risk of offending anyone here (since this isn't an Android
forum), please send the source to your manifest (AndroidManifest.xml).
We'll take this one additional step before moving your post to
stackoverflow.com. This is what the error appears to refer to.

Demain alors...

Russ
Re: eclipse will not compile [message #987538 is a reply to message #986593] Tue, 27 November 2012 04:52 Go to previous messageGo to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
Hi Russell, did'nt see that reply, getting more and more problems of the same nature, the latest message I am getting in the problems tab is "Android packaging problem", no reference to location. thinking something was wrong with my java JRE I downloaded a new one, also thinking something is wrong with eclipse I downloaded a new one. No help. I replace the reverse com package name because the forum software won't allow links.

Here is the android manifest file:

thanks,

Jacques

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="?????/apk/res/android"
    package="?????pump_power"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="16" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
         <activity
            android:name="??????pump_power.Splash"
            android:label="@string/title_activity_convert" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="????pump_power.MainActivity"
            android:label="@string/title_activity_convert" >
            <intent-filter>
                <action android:name="????pump_power.MAINACTIVITY" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
    </application>

</manifest>
Re: eclipse will not compile [message #987550 is a reply to message #987538] Tue, 27 November 2012 06:41 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3265
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 11/26/2012 09:52 PM, Jacques Chaurette wrote:
> Hi Russell, did'nt see that reply, getting more and more problems of the
> same nature, the latest message I am getting in the problems tab is
> "Android packaging problem", no reference to location. thinking
> something was wrong with my java JRE I downloaded a new one, also
> thinking something is wrong with eclipse I downloaded a new one. No
> help. I replace the reverse com package name because the forum software
> won't allow links.
>
> Here is the android manifest file:
>
> thanks,
>
> Jacques
>
>
> <?xml version="1.0" encoding="utf-8"?>
> <manifest xmlns:android="?????/apk/res/android"
> package="?????pump_power"
> android:versionCode="1"
> android:versionName="1.0" >
>
> <uses-sdk
> android:minSdkVersion="8"
> android:targetSdkVersion="16" />
>
> <application
> android:allowBackup="true"
> android:icon="@drawable/ic_launcher"
> android:label="@string/app_name"
> android:theme="@style/AppTheme" >
> <activity
> android:name="??????pump_power.Splash"
> android:label="@string/title_activity_convert" >
> <intent-filter>
> <action android:name="android.intent.action.MAIN" />
>
> <category
> android:name="android.intent.category.LAUNCHER" />
> </intent-filter>
> </activity>
> <activity
> android:name="????pump_power.MainActivity"
> android:label="@string/title_activity_convert" >
> <intent-filter>
> <action android:name="????pump_power.MAINACTIVITY" />
>
> <category android:name="android.intent.category.DEFAULT" />
> </intent-filter>
> </activity>
> </application>
>
> </manifest>
>

I'm not certain since this never happened to me. (Also, I don't know
what the ????? is standing in for here.)

Googling for androidmanifest.xml segments, I see notes to the effect
that the "package="xxx.yyy" attribute should be a package name
consisting of at least two levels of hierarchy (i.e., "two segments"),
such as fr.chaurette (and not merely pump_power?). However, I think this
is a bit of a red herring (une fausse diversion, quoi).

Specifically, one Google tutorial, publicly available, shows:

AndroidManifest.xml:
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
package="com.android.developer.notepad1"
android:versionCode="1"
android:versionName="1.0">
<application android:icon="@drawable/icon"
android:label="@string/app_name">
<activity android:name=".Notepadv1"
...

and the (package) path to the "main" (as it were) or ListActivity code is:

com.android.developer.notepad1

as you'd guess from the package statement.

In conclusion, I'm not so sure there has to be two levels of hierarchy,
the error would seem to say so (my projects all have full corporate
hierarchy anyway), but whatever the case, surely the Java file
containing the ListActivity class extension must be in the package noted
in AndroidManifest.xml.

I hope this helps. I don't do Android anymore and this is beginning to
stretch my memory.

Best regards,

Russ Bateman
Re: eclipse will not compile [message #987657 is a reply to message #987550] Tue, 27 November 2012 13:18 Go to previous messageGo to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
I put in the "?" only because the forum rules do not allow url's but maybe it was only the 1st one that was a problem, I am trying again.

Yeah, I think the 2 segment error is a typical error the compiler throws out when it doesn't have anything better to say.

Jacques

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="??/apk/res/android"
    package="com.pumpfundamentals.pump_power"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="16" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
         <activity
            android:name="com.pumpfundamentals.pump_power.Splash"
            android:label="@string/title_activity_convert" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.pumpfundamentals.pump_power.MainActivity"
            android:label="@string/title_activity_convert" >
            <intent-filter>
                <action android:name="com.pumpfundamentals.pump_power.MAINACTIVITY" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
    </application>

</manifest>
Re: eclipse will not compile [message #987663 is a reply to message #987550] Tue, 27 November 2012 13:41 Go to previous messageGo to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
Here's another typical error that the compiler throws out that can be seen in the console tab:

[2012-11-27 06:39:00 - Pump_power] Conversion to Dalvik format failed: Unable to execute dex: Multiple dex files define Lcom/pumpfundamentals/pump_power/BuildConfig;
Re: eclipse will not compile [message #987665 is a reply to message #987663] Tue, 27 November 2012 13:48 Go to previous messageGo to next message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
I like the Eclipse IDE, I think it's a wonderful tool. Right now it's acting strangely, maybe it's related to the way I installed it.

Is there another way to check this code, can it be run some other way, seems really complicated since there are so many files interacting?

Any way forward?

Jacques
Re: eclipse will not compile [message #987673 is a reply to message #987665] Tue, 27 November 2012 14:33 Go to previous messageGo to next message
David Wegener is currently offline David WegenerFriend
Messages: 1351
Registered: July 2009
Senior Member
This forum is for Eclipse Newcomer questions related to Eclipse projects/products. You are asking questions about Android Development. Eclipse doesn't provide the tools for Android development Google does. We aren't Android developers so we can't answer your questions. Your best bet is to find an Android development forum
Re: eclipse will not compile [message #987681 is a reply to message #987665] Tue, 27 November 2012 15:03 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3265
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 11/27/2012 6:48 AM, Jacques Chaurette wrote:
> I like the Eclipse IDE, I think it's a wonderful tool. Right now it's
> acting strangely, maybe it's related to the way I installed it.
> Is there another way to check this code, can it be run some other way,
> seems really complicated since there are so many files interacting?
>
> Any way forward?
>
> Jacques
Jacques,

--what David says.

Eclipse is hugely influenced by the plug-ins that you're working most
with, so it's behavior appears quirky sometimes. I found the Android
tools to be very quirky. Your best forums are the ones listed at the URL
below:

http://www.javahotchocolate.com/tutorials/android.html#support
Re: eclipse will not compile [message #987763 is a reply to message #987681] Wed, 28 November 2012 00:19 Go to previous message
Jacques Chaurette is currently offline Jacques ChauretteFriend
Messages: 7
Registered: November 2012
Junior Member
Thank you.
Previous Topic:How to Disable Auto-Capitalization of Hex Values in Properties Files
Next Topic:Cant get AVD to work...
Goto Forum:
  


Current Time: Fri Dec 19 17:45:54 GMT 2014

Powered by FUDForum. Page generated in 0.01965 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software